#include <bits/stdc++.h>
   
#define int long long
   
using namespace std;
 
main() {
    ios_base::sync_with_stdio(0), cin.tie(0), cout.tie(0);
    int h, w;
    cin >> h >> w;
	if(h > w) {
		swap(h, w);
	}
	int ans = 0;
	while(h > 1 || w > 1) {
		ans += h * w;
		ans += (h + 1) * (h + 2) / 2 - 2;
		w --;
		if(h > w) {
			swap(h, w);
		}
	}
    cout << ans + 1;
}
